<ion-header>
  <ion-navbar>
    <ion-title text-center>
      {{title}}
    </ion-title>

  </ion-navbar>

</ion-header>

<ion-content padding class="content_general">

  <!--<ion-item *ngIf="showDatePicker">
    <ion-label>{{selectDateText}}</ion-label>
    <ion-datetime displayFormat="DD/MM/YYYY" pickerFormat="DD/MM/YYYY" [(ngModel)]="dateSelected"></ion-datetime>
  </ion-item> -->

  <ion-card no-padding no-border>
    <ion-card-content>

      <ion-item *ngIf="!isPeriodicBooking">
        <ion-grid>
          <ion-row>
            <ion-col col-auto>
              {{textSelectDate}} :
            </ion-col>
            <ion-col text-left  class="selectdate">


                    {{dateSelected}}

                 <ion-icon name="calendar" (click)="select_date()" class="icon-change"></ion-icon>


          </ion-col>
         </ion-row>
       </ion-grid>
     </ion-item>

     <div *ngIf="isPeriodicBooking">
       <ion-item >
         <ion-grid>
           <ion-row>
             <ion-col col-auto>
               {{textSelectInitialDate}} :
             </ion-col>
             <ion-col text-left  class="selectdate">


                     {{datesSelected[0]}}

                  <ion-icon name="calendar" (click)="select_date(0)" class="icon-change"></ion-icon>


           </ion-col>
          </ion-row>

          <ion-row>
            <ion-col col-auto>
              {{textSelectFinalDate}} :
            </ion-col>
            <ion-col text-left  class="selectdate">


                    {{datesSelected[1]}}

                 <ion-icon name="calendar" (click)="select_date(1)" class="icon-change"></ion-icon>


          </ion-col>
         </ion-row>

        </ion-grid>
      </ion-item>

    </div>

 </ion-card-content>
 </ion-card>

 <div *ngIf="showWeekDays">
   <br>
   <ion-card>
     <ion-card-header text-center>
       {{textSelectWeekDay}}
     </ion-card-header>
     <ion-card-content text-left>
       <ion-list>
         <ion-item *ngFor="let weekDay of weekDays; let i = index">
           <ion-checkbox [(ngModel)]="weekdaysSelected[i]" (ionChange)="checkbox_change($event,weekDay.id)"> </ion-checkbox>
           <ion-label> {{weekDay.name}}</ion-label>
         </ion-item>
       </ion-list>
    </ion-card-content>
   </ion-card>
 </div>


 <br>
  <div *ngIf="showTimePicker">
    <ion-card>
      <ion-card-header text-center>
        {{textSelectTime}}
      </ion-card-header>
      <ion-card-content text-left>
        <button ion-button outline round *ngFor="let travel of travels; let i = index" (click)="travel_selected(travel)">
          <ion-col col-sm>
            {{travel.get_horario_partida()}}
          </ion-col>
        </button>
     </ion-card-content>
    </ion-card>

  </div>

 </ion-content>
